# class toResultLong

A widget which contains the result of a query run in the background. More...

Definition | `#include <toresultlong.h>`
Inherits | toResultView [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultLong (bool readable,bool numCol,toQuery::queryMode mode,QWidget *parent,const char *name=NULL,WFlags f=0)
- toResultLong (QWidget *parent,const char *name=NULL,WFlags f=0)
- ~toResultLong ()
- void setStatistics (toResultStats *stats)
- bool running (void)
- virtual void query (const QString &sql,const toQList ¶m)
- void query (const QString &sql)
- virtual void editReadAll (void)

#### Public Slots

- void stop (void)
- virtual void addItem (void)

#### Signals

- void done (void)
- void firstResult (const QString &sql,const toConnection::exception &res,bool error)

## Detailed Description

A widget which contains the result of a query run in the background.

toResultLong (bool readable,bool numCol,toQuery::queryMode mode,QWidget *parent,const char *name=NULL,WFlags f=0)

### toResultLong

Create widget.

Parameters:

readable | Indicate if columns are to be made more readable. This means that the descriptions are capitalised and '_' are converted to ' '.
numCol | If number column is to be displayed.
mode | Query mode to use when executing query
parent | Parent of list.
name | Name of widget.
f | Widget flags.

toResultLong (QWidget *parent,const char *name=NULL,WFlags f=0)

### toResultLong

Create widget. The columns are not readable and the number column is displayed.

Parameters:

parent | Parent of list.
name | Name of widget.
f | Widget flags.

~toResultLong ()

### ~toResultLong

void setStatistics (toResultStats *stats)

### setStatistics

Set statistics widget.

Parameters:

stats | Statistics widget.

bool running (void)

### running

Check if query is still running.

Returns: True if query is still running.

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

void query (const QString &sql)

### query

Reimplemented for internal reasons.

Reimplemented from toResultView.

void editReadAll (void)

### editReadAll

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

void done (void)

### done

[signal]

Emitted when query is finnished.

void firstResult (const QString &sql,const toConnection::exception &res,bool error)

### firstResult

[signal]

Emitted when the first result is available.

Parameters:

sql | SQL that was run.
res | String describing result.
error | Error has occurred.

void stop (void)

### stop

[slot]

Stop running query.

void addItem (void)

### addItem

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResultView.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.